Subject: 24.0.50; Boxes in mode-line and scrolling

From: Antoine Levitt <[email-masked]>
Date: Sun, 27 Mar 2011 15:41:09 +0200

(follow-up to http://article.gmane.org/gmane.emacs.devel/137753 , where
I was asked to report this here)

There seems to be a conflict between scrolling and the box attribute in
mode-line. I have in my config a ":box t" attribute in mode-line (from
the theme I use, zenburn.el). With this setting on, C-v M-v produces a
net displacement of one line up, which is annoying. This seems to be
irrespective of settings such as scroll-conservatively or
scroll-preserve-screen-position.

I'm not 100% sure how to reproduce this, as I use the color-theme
package to set the parameter. Any way to set the mode-line :box
attribute to "t" will trigger it. Then, find a sufficiently large file,
and do C-v M-v.